> For the complete documentation index, see [llms.txt](https://docs.shippify.co/developers/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shippify.co/developers/en/shippify-api/routes/create-route.md).

# Create route

## Route creation

> Endpoint that allows creating routes from given deliveries.

```json
{"openapi":"3.0.0","info":{"title":"Shippify Api","version":"1.0.0"},"servers":[{"url":"https://api.shippify.co","description":"Development server"}],"security":[{"Basic_Auth":[]}],"components":{"securitySchemes":{"Basic_Auth":{"type":"http","scheme":"basic"}},"schemas":{"createRoutes":{"successfulResponse":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"data":{"type":"object","description":"Information of the additional processes created (in case the delivery belongs to a route)","properties":{"jobs":{"description":"Identifier of the external process created","type":"string"}}}}},"request":{"type":"object","required":["routes","iterations"],"properties":{"routes":{"description":"Set of deliveries, each item will create a route","type":"array","items":{"required":["deliveries"],"type":"object","properties":{"deliveries":{"type":"array","description":"Identifiers of the deliveries to be routed. Minimum 2 deliveries.","items":{"type":"string"}}}}},"iterations":{"description":"Indicates the level of optimization with which the route will be created","type":"integer","minimum":1,"maximum":10}}}},"Unauthenticated":{"properties":{"code":{"type":"string"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/v1/routes/create":{"post":{"tags":["Creation, Routes"],"summary":"Route creation","description":"Endpoint that allows creating routes from given deliveries.","responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/createRoutes/successfulResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthenticated"}}}}},"requestBody":{"description":"Here goes the description","content":{"application/json":{"schema":{"$ref":"#/components/schemas/createRoutes/request"}}}}}}}}
```

## Use cases&#x20;

<details>

<summary>Create routes with a specific order of deliveries</summary>

```json
{
    "routes": [
        {
            "deliveries": [
              "t-pruaas-4973",
              "t-pruaas-4972"
            ]
        }
    ],
    "iterations": 1
}
```

</details>

<details>

<summary>Create routes with medium optimization based on entered deliveries</summary>

```json
{
    "routes": [
        {
            "deliveries": [
              "t-pruaas-4973",
              "t-pruaas-4972"
            ]
        }
    ],
    "iterations": 5
}
```

</details>

<details>

<summary>Create routes with high optimization based on entered deliveries</summary>

```json
{
    "routes": [
        {
            "deliveries": [
              "t-pruaas-4973",
              "t-pruaas-4972"
            ]
        }
    ],
    "iterations": 10
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shippify.co/developers/en/shippify-api/routes/create-route.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
